Return the real user ID of the current process

- « posix_getsid

- posix_initgroups »

- PHP Manual
- POSIX Functions
- Return the real user ID of the current process

# posix_getuid

(PHP 4, PHP 5, PHP 7, PHP 8)

posix_getuid — Return the real user ID of the current process

### Description

posix_getuid(): int

Return the numeric real user ID of the current process.

### Parameters

This function has no parameters.

### Return Values

Returns the user id, as an int

### Examples

Example #1 Example use of posix_getuid()

    <?phpecho posix_getuid(); //10000?>

### See Also

- posix_getpwuid() - Return info about a user by user id
- POSIX man page GETUID(2)